[OFFICIAL] [NIGHTLIES] LineageOS 16.0

Search This thread

npjohnson

Recognized Developer
lineage-os-logo.png

Samsung Galaxy S4

Code:
- Your warranty is now void.
- You have been warned.
- Use at your own risk.

Introduction:
This is the Official Lineage OS 16.0 thread for all Galaxy S4 variants.

Downloads:
Please follow the install instructions in your device's Wiki page linked below exactly, and make sure your device's firmware matches the required firmware listed.

If you don't follow these instructions, or use 3rd party addons (like Magisk) please don't expect support here.

Known Bugs:
  • None.

You're also welcome to use my personal builds, but these are experimental, and likely to destroy your data. These builds include GApps, and Pixel-Goodies, among other things -- you'll find no support for these, so don't discuss them here.

XDA:DevDB Information
[OFFICIAL] [NIGHTLIES] LineageOS 16.0, ROM for the Samsung Galaxy S4

Contributors
npjohnson, arco68, side
Source Code: https://github.com/LineageOS/

ROM OS Version: 9.x Pie
ROM Kernel: Linux 3.4.x
ROM Firmware Required: See your device's specific page on: https://wiki.lineageos.org
Based On: LineageOS

Version Information
Status: Nightly
Stable Release Date: 2019-08-05

Created 2019-08-06
Last Updated 2019-08-17
 
Last edited:

Kwen

Senior Member
Nov 10, 2006
291
38
Montreal
What a coincidence! I found an S4 in the battery recycle bin yesterday and boum today I installed LineageOS on it without knowing it was JUST released haha, thanks!
 

DerHimmel

Senior Member
Nov 15, 2008
66
14
Florence
Goodmorning everyone. This morning I installed the new [OFFICIAL] [NIGHTLIES] LineageOS 16.0. It seems very well done, congratulations to maintainers. The first thing I tried was the GPS and I must say that it is very fast to fix the satellites. Thank you.
Translated with google translator I apologize for errors and incorrect words.
 

black.kahder

Senior Member
May 26, 2017
110
54
Can anyone explain why, after years and years of devs saying that the S4 would never get official Lineage support (again), it's getting official support (again)?
 
Can anyone explain why, after years and years of devs saying that the S4 would never get official Lineage support (again), it's getting official support (again)?


Because there was no developer who had time for it.
Be glad now that it is now official .
 

Retrial

Recognized Contributor & Translator
Jun 10, 2015
1,736
3,633
Athens
Samsung Galaxy S4
Xiaomi Poco F1
Can anyone explain why, after years and years of devs saying that the S4 would never get official Lineage support (again), it's getting official support (again)?

There is a long story behind the scene....but doesn't matter. Side mentioned a lot of times S4 will get official support...but some "devs" on some "unofficials" threads had as FAQ that it will not be official support..
Anyways, is it matter anymore? You have official los now. :p

---------- Post added at 23:33 ---------- Previous post was at 23:32 ----------

Because there was no developer who had time for it.
Be glad now that it is now official .

Sure........
 
  • Like
Reactions: pocketrule
Installed it on my old s4 jfltexx over the old lineageos 14 without any problem. Everything seems fine for the first 30 minutes I used it but some time later now after I didn't used it anymore I can't get past the login screen. Every time I put in the correct pattern the screen goes black and after a second I have to put in the pattern again.
 

gvamp

Senior Member
Dec 25, 2015
99
52
Stuttgart
I used this rom since yesterday as second daily driver, compared it to other roms and I have to say, that it's great. I got some calls, wifi/bt/data connection is stable with instant connect. GPS is VERY fast like already mentioned. Battery life time seems to very impressive, the UI speed is really good. For me it seems to be more stable than nightly. :) Thanks to the devs.
 
  • Like
Reactions: bersem

nmb52

Member
Oct 28, 2012
14
15
Developer mode not showing after enabled

I backed up the Lineageos 14 load on my phone and installed the 8/8 nightly. I followed the installation instructions, using adb sideload to push the packages to the phone.
I installed the nightly along with addonsu and opengapps nano. I enabled developer mode, but the settings list does not show the developer mode, at least as it does in 14. Without that I cannot get su to actually work. Has anyone else seen this? Thanks....
 

Top Liked Posts

  • There are no posts matching your filters.
  • 44
    lineage-os-logo.png

    Samsung Galaxy S4

    Code:
    - Your warranty is now void.
    - You have been warned.
    - Use at your own risk.

    Introduction:
    This is the Official Lineage OS 16.0 thread for all Galaxy S4 variants.

    Downloads:
    Please follow the install instructions in your device's Wiki page linked below exactly, and make sure your device's firmware matches the required firmware listed.

    If you don't follow these instructions, or use 3rd party addons (like Magisk) please don't expect support here.

    Known Bugs:
    • None.

    You're also welcome to use my personal builds, but these are experimental, and likely to destroy your data. These builds include GApps, and Pixel-Goodies, among other things -- you'll find no support for these, so don't discuss them here.

    XDA:DevDB Information
    [OFFICIAL] [NIGHTLIES] LineageOS 16.0, ROM for the Samsung Galaxy S4

    Contributors
    npjohnson, arco68, side
    Source Code: https://github.com/LineageOS/

    ROM OS Version: 9.x Pie
    ROM Kernel: Linux 3.4.x
    ROM Firmware Required: See your device's specific page on: https://wiki.lineageos.org
    Based On: LineageOS

    Version Information
    Status: Nightly
    Stable Release Date: 2019-08-05

    Created 2019-08-06
    Last Updated 2019-08-17
    9
    Call speaker issues should be resolved in latest nightlies.
    8
    Wait for tomorrows build. TWRP compatibility was broken yesterday and has been reverted. In the meantime you can flash 0809 build if you want.

    To everyone having problems with flashing jfltexx build 0810, the issue was the removal of "jflte" from jfltexx's assert. This caused TWRP to not recognize your jfltexx variant properly. For this reason, arco68 replaced "jflte" in jfltexx's assert, which will allow jfltexx build 0811 to be flashed with the official 3.3.1-0 unified jflte TWRP.

    Although jfltexx is technically and historically supposed to be called jflte, that would be misleading since not having any variant designation, ie. jfltetmo for Tmobile, would confuse users.

    On a related matter, I suggest that everyone update their TWRP to 3.3.1-0 to avoid other flashing errors. While you're at it, you may as well also flash the latest bootloaders and modems for your variant, in the .BL_CP folder linked in my signature, using the "AP" button in Odin to flash the .tar file in one go without extracting the .tar file. If you're using Heimdall, extract the partition images from the .tar file and flash them individually.

    I have only so far added these for jfltexx, jfltecan, and jfltetmo, as these are supported by jfltexx. Other variants will follow based on demand.
    7
    Hello everyone. Some notes from me...

    1. When u post screenshot or something, please use English language.
    2. TWRP issues on flashing are usually broken zip files (interrupted download or something). always check the md5 or simply download again
    3. About "why 14.1 was stopped but now 16?". As i have said MANY times on my roms but on jdcteam's roms, shipping lineageos rom is not simple as "daily usage is ok we can ship it". There is a code of conduct we follow ( https://github.com/LineageOS/charter/blob/master/device-support-requirements.md ) . lineageOS is the biggest rom dev community ( since CyanogenMod ) and they cant ship random builds just like other rom providers. Quality > Quantity. That means that legacy devices are more difficult to be shipped because NEW code has to be enabled inside OLD hardware...and that has to be with the correct way.
    So why not official 15.1 ? Many reasons...Was not that mature to be ported, no devs to support it. Personally me i was mad with some ""devs"" and i completely stopped Oreo dev. As @npjohnson said we were trying to fix s4 stuff before many months.its not something new...Having parasites between your legs makes the work harder though.
    4. This is official Lineage16.0 . Please do not mention "This worked on Oreo. This is working on Optlos Go version" etc... its kinda disrespectful to devs. Bugs can be reported to ( https://gitlab.com/LineageOS/issues )
    Official release suggests a specific twrp version. Its your own responsibility to use my twrp or not
    7
    I am having trouble installing this on my jfltespr.

    I was on the latest jfltespr TWRP (3.1.1-0) and the ROM refused to install so then I saw we need 3.3.1-0 and I flashed the jftle unifed one off the TWRP site but it wouldn't let me install the spr zip only the jfltexx without error. It seems to work ok aside from some broken things, but I would prefer to have the correct ROM on my device (obviously). Is there a way to bypass the TWRP problem or is there a newer recovery for the jfltespr?

    Thanks

    I'm working on updating the unified TWRP to detect each variant's bootloader and therefore display the correct device name so that all variants can be flashed. This will be similar to jf-common's init_jflte.cpp. I'll post all further information about TWRP in its thread.